Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187885 - Friend packages for VisualVM-Profiling module needed
Friend packages for VisualVM-Profiling module needed
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Sedlacek
issues@profiler
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 12:07 UTC by Jiri Sedlacek
Modified: 2010-07-22 12:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2010-06-21 12:07:06 UTC
Adding 'com.sun.tools.visualvm.profiling' as a friend module of 'org.netbeans.modules.profiler', 'org.netbeans.lib.profiler.common' and 'org.netbeans.lib.profiler' is required for correct support of the next VisualVM release.

Simple fix, just adding new friend module, doesn't affect any other functionality.
Comment 1 Jiri Sedlacek 2010-06-21 12:11:30 UTC
Fixed in profiler-main.

http://hg.netbeans.org/profiler-main/rev/539b6f0234c6
Comment 2 rbalada 2010-06-21 16:01:21 UTC
Please verify bugfix for this bug, so it can be integrated into release691 repository.

Thanks,
-R
Comment 3 Quality Engineering 2010-06-22 03:19:56 UTC
Integrated into 'main-golden', will be available in build *201006220001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/539b6f0234c6
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #187885 - added required friend modules
Comment 4 Tomas Hurka 2010-06-22 04:32:35 UTC
Verified in 201006220001.
Comment 5 rbalada 2010-06-22 07:36:53 UTC
main #539b6f0234c6 transplanted to release691 #da801693f7f1
Comment 6 Tomas Hurka 2010-07-22 12:03:34 UTC
verified in 6.9.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo